/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.grainPriceCollect.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.basic.info.modular.grainPriceCollectCategory.param.GrainPriceCollectCategoryAddParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.Value;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 粮食价格采集添加参数
 *
 * @author TS
 * @date  2024/04/03 10:44
 **/
@Getter
@Setter
public class GrainPriceCollectAddParam {

    /** biz_price_monitor的id */
    @ApiModelProperty(value = "biz_price_monitor的id", position = 7)
    private String priceMonitorId;

    /** 采集方式 0：移动端；1：PC端； */
    @ApiModelProperty(value = "采集方式 0：移动端；1：PC端；", position = 8)
    private Integer type;

    /** biz_user_collect的id；type=0时，是必填项。 */
    @ApiModelProperty(value = "biz_user_collect的id；type=0时，是必填项。", position = 9)
    private String userCollectId;

    /** 是否实地采集 0：否；1：是；type=0时，是必填项。 */
    @ApiModelProperty(value = "是否实地采集 0：否；1：是；type=0时，是必填项。", position = 10)
    private Integer isSelfPriceMonitor;

    /** 价格采集人 */
    @ApiModelProperty(value = "价格采集人", position = 11)
    private String userCollectName;

    /** 价格采集人联系方式 */
    @ApiModelProperty(value = "价格采集人联系方式", position = 12)
    private String userCollectPhone;

    /** 采集日期 */
    @ApiModelProperty(value = "采集日期", position = 13)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date userCollectDate;

    /** 采集日期-当前站点采集次数, */
    @ApiModelProperty(value = "采集日期-当前站点采集次数,", position = 14)
    private Integer userCollectDateCount;


    /** 采集时间是否在报送周期内 0：否；1：是； */
    @ApiModelProperty(value = "采集时间是否在报送周期内 0：否；1：是；", position = 15)
    private Integer isInRemindCycle;

    /** 状态 0：未审核；1：已审核； */
    @ApiModelProperty(value = "状态 0：未审核；1：已审核；", position = 16)
    private Integer status;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 17)
    private String remark;

    @ApiModelProperty(value="粮食价格采集-品种列表",position = 18)
    private  List<GrainPriceCollectCategoryAddParam>  categoryAddParamList;

}
